There is an infinite indexed family of family-friendly, $\geq2$-player, perfect-information, draw-free-if-finite, cheap-to-construct, two-player combinatorial^{1}, solved, sequential games. They are easily formalizable, have considerable mathematical substance, easily suggest open problems (both in the direction of *exact analyses* feasible even for children, and in the direction of inventing mathematically-informed *heuristics*), and have connections to classical graph theory (from any given position, solving 'find a maxim*um* matching' is sufficient to decide who has a winning strategy from this position). They seem to fit the

Question: Do you have some experience/proposals of "games" which you can play with your children, which would be on the one hand would make some fun for them, on the other would somehow develop their logical/thinking/mathematical skills, and on the other hand would be of at least some interest for adult mathematicians ?

rather well.

By the way,

I agree that 'Set' gives a child more opportunities for real-time, *conclusive* thinking, though quite *repetitive conclusive thinking*. Sadly, **the path game, played on larger boards=graphs, feels like chess: though a perfect strategy must ***exist*, one usually doesn't *know* it, and so one finds oneself reduced to heuristics. Likel in chess, even strong players must make arbitrary decisions, based on intuitive rules-of-thumb. What *is* mathematical about the PathGame is to *think about it*, less to *play* it. (Though one can beautifully demonstrate the relevance of the mathematical analysis of the game by playing on boards with an explicit maximum matching shown, such as the example boards below). The PathGame, too, needs careful explanation so as to not be misleading. (E.g.: a child might fancy themselves a 'master' of the PathGame, on the empirical evidence that they win each game, wielding some heuristics, but without having understood the principle.) Of course, repetition is important for learning. In a sense, it is deserved that 'Set' has most votes, in that it can be seen to fit the requirement of "develop[ing] their logical/thinking" skills very well.)

I now briefly describe the most usual^{2} version.

Let $\mathsf{Graphs}$ denote the (proper) class of all symmetric irreflexive binary relations on a specified set. (Not necessarily finite, not necessarily connected.)

For each $G\in \mathsf{Graphs}$ let PathGame($G$) be the game defined by the following rules.

**Rules of PathGame($G$).** There are two players, 'b' (for 'blue') and 'g' (for 'green'). The players take turns making legal moves, and 'g' moves first.
The player who first cannot legally move has 'lost'.
Each move consists in nothing more than choosing a vertex of $G$ which (0) has not yet been selected by anyone, (1) is adjacent to the vertex selected in the *immediately preceding move*.

There aren't any other rules in the most basic version.

Needless to say:

In the beginning, condition (1), and of course condition (0), too, are void, so 'g' has a free choice of which vertex to pick first.

The simplest (and widely known) underlying mathematics I have summarized in the first non-quotation paragraph of my answer to this MO question.

I recommend that you try playing, understanding and varying the class function

PathGame:$\mathsf{Graphs}\to\mathsf{CombinatorialGames}$

with your child. There are open research questions related to this.

PathGame is simple and mathematical.
And it has a distinct geometrical/topological 'dimension' to it

PathGame can easily and cheaply be 'realized' in many a 'medium'---even on a sandy beach when it's windy and the sand is not the finest.

'Building' instances of PathGame is easy (and *easier* than e.g. the implementation of some of the knot-games proposed, where in the end you'll need a high-quality, flexible rope or chain to do the 'testing' of the diagram). *Playing* it with pens only is probably not recommendable. Pens should be confined to the draw-the-board-phase. If you play with pens only, then it'll be one-game-per-board, while with movable tokens you can re-use a board.
You should make the (small) effort of creating numbered 'tokens' (paper will initially do: you can simply use, say, ten specks of paper numbered in blue by 0,1,...,9 for one player, and ten further specks of paper numbered in green, again by 0,1,...,9. One player gets blue, the other green. This allows for at most twenty moves. Hence, with these tokens, you can 'play' all graphs with at most twenty vertices. (But most games will end long before all vertices are covered; note also that on all but the most trivial 'boards' it *is* possible to play *badly*, the game is not trivial.)

On the other hand, it *can be not-so-easy to lose the game intentionally even if you opponent tries to win* (this can be seen as rather unusual; e.g., in chess, if your opponent tries to win, it is trivial to lose intentionally; though of course chess has also has the feature that if both players try to lose, then again it's not so easy to lose)

This is a solved game, in a technical sense. There is a known (and even efficient, though this is not necessary to qualify as 'solved') algorithm to decide, from any legal position, which of the players 'g' and 'b' has a winning strategy.

However, there is a non-trivial amount of 'preprocessing' you'll have to do to calculate a winning strategy
Roughly speaking, if one allows, say, *you* to choose whether you want to play 'b' or 'g', then it'll take you (or your computer) time about $\lvert V(G)\rvert^3$ to do the preprocessing.

Worth pointing out: once a maximum matching *is* known, by a preliminary calculation or by the grace of an oracle, then if it is a 1-factor (resp. not a 1-factor), then 'b' (resp. 'g') can **effortlessly win even against an infinitely-intelligent and omniscient opponent**. This does not go without saying, the point being that a winning strategy for e.g. a won-for-'g' Path game position has size (size of maximum non-perfect matching) + (small set of instructions) $\in$ $O(\lvert G\rvert)$, hence is rather small, while, for example, chess is different in this respect: it seems very unlikely that a winning strategy for (say) White in chess (it is not known whether there is one, of course) can be **stated briefly**. Now *that* is a fundamental *difference between the PathGame and Chess:* **the PathGame admits of a relatively small winning-algorithm.** (You can even take this as an occasion to discuss the concept of 'stored program computer's and 'a program is data' with your child.)

In PathGame, *if* a relevant matching is known, then the player-which-has-the-winning-strategy can *compute a (not: the) perfect response to any move of the opponent in ***constant** time, more precisely, in one step.

If your computer/mind/oracle *only* truthfully tells you with which 'player' (i.e. either 'g' or 'b') it'll be a win for you, but does not give you a relevant matching, then *actually winning*, even *against your daughter playing randomly*, will not be easy.

$G$ need not be connected, though evidently the game will take place in one connected component of $G$ only; the initial choice of connected component which 'b' will have to make is another 'dimension' of this game.

$G$ need not be finite; if it is, termination of the game is guaranteed by definition; if it is not finite, then the game *may* happen to run forever, though even then it *is* possible that the game ends (it is one of the variations and educational opportunities to try to analyze when this happens); it's even possible to manage to lose on a one-way infinite path.

The numbers on the tokens I recommended above are not always necessary. More precisely, if you have zero short-term memory, then you'll need the numbers to be able to be able to decide whether you can still legally move. If you can remember the *last* move, no numbers are necessary to play legally. However, whether you will then be able to recover the *path* in the end, depends how far your memory reaches back into the past. With the numbered tokes, the path is 'stored' on the board an no remembering is necessary.

Note that if one would weaken the rule for legal moves to 'any vertex not already selected, and adjacent to **any** of the already chosen vertices'.

Let us call this game PathGame${}_{t\mapsto t}$.

PathGame${}_{t\mapsto t}(G)$ is rather trivial: 'g' has a winning strategy if and only if $G$ has at least one connected component with a finite and odd number of vertices. For this trivial variation, the 'preprocessing' simply *consists* of counting the number of vertices in each connected component of $G$ (of course, if there are infinite components, even this trivial preprocessing may never end). And this variant game is also trivial in the sense that it is *impossible not to win* when first moving on a connected component with odd number of vertices.

- I noticed that the trivial variation just mentioned is just one end (the PathGame being the other end) of an infinite $\omega^\omega$-indexed 'spectrum' of similar games. For any function $h\in\omega^\omega$ and any $G\in\mathsf{Graphs}$ let PathGame$_h(G)$ denote the game with the same rules as PathGame($G$) except that a legal move at time $t\in\omega$ means to
**choose any not-already-chosen vertex which is adjacent to any of the last $h(t)$ selected vertices**. In particular, PathGame($G$) = PathGame$_{t\mapsto 1}(G)$.

This is something of a weakening of the 'directionality' with which the PathGame unfolds.

I do not know whether e.g.

PathGame$_{ t\mapsto \log t}$

or even PathGame$_{ t\mapsto 2}$, ,which I recommend your child may study,

have been analyzed in the research literature.

Note also that this way we have defined $\omega^\omega$-many, at least intensionally-distinct (though extensionally often rather similarly-behaved; evidently all $h$ which grow faster than the identity behave the same; also, non-monotonic $h$ will probably considered to be bizarre by many) *boolean valued graph invariant*. For each $h\in\omega^\omega$ let $\eta_h\colon\mathsf{Graphs}\to$ $\{$ $\perp$, $\mathsf{T}$ $\}$ denote the predicate which, given any graphs $G$, returns $\perp$ if 'b' has a winning strategy in PathGame$_h(G)$, and returns $\mathsf{T}$ if 'g' has one, and returns $\mathsf{T}\hspace{-1em}\perp$ if neither 'g' nor 'b' can force a win for themselves. (The latter evidently can happen *only if* $G$ is infinite.)

Then $\eta_h\colon\mathsf{Graphs}\to$ $\{$ $\perp$, $\mathsf{T}$, $\mathsf{T}\hspace{-1em}\perp$ $\}$ is manifestly an isomorphism invariant function on $\mathsf{Graphs}$.

We know that

$\eta_{t\mapsto t}$ is a predicate which corresponds to whether a given graph has at least one connected component with a finite odd number of vertices

$\eta_{t\mapsto 1}$ is a predicate which tells us whether a given graph has a perfect matching

Moreover, there are $\aleph_0^{\aleph_0} = 2^{\aleph_0}$ such graph-invariants, and they are all 'intensionally distinct' (though probable many of them are 'extensionally' rather indistinguishable).

There are also finer, i.e., non-(booelan-valued), graph invariants that PathGame gives rise to.

These are games which your child may 'grow into', with time learning different concepts like 'odd', 'infinite', 'perfect matching', 'maximum matching', 'maximum/maximal', 'graph invariant', 'truth values', 'intuitionism', 'complexity of computing a maximum matching',...
She might even once publish the best study of the class-function PathGames:$\mathsf{Graphs}\to\mathsf{CombinatorialGames}$ so far. (A realistic first step: 'solve' PathGame${}_{t\mapsto 2}$.)

There are many independent 'dimensions' of interactivity and freedom:

choice of the board=graph $G$ (though this choice is somehow illusory: one can define it away by letting there be only **one** *large* board, consisting of the large-in-the-technical-sense graph $\coprod_{G\in\mathsf{Graphs}}G$. Then the 'building the board'='choosing the first vertex in the big board'.

who gets to choose who plays first,

what heuristics are there *if one decides to want to let the other win*, i.e., decides that *one wants to lose*?

whether to tell her the 'secret' behind how to 'win' this game or do you let her find out herself,

PathGame 'compositions' (as in: 'chess composition'), with partially filled boards, and an instruction saying something like " 'g' to move and win "

**three** players, while otherwise retaining the rules of the 'classical' version PathGame${}_{t\mapsto 1}$. The three-player version seems not to have been analyzed so far. I did not think about it. With three players, new difficulties^{3}^{4} arise, in particular with regard to possible *collusion* among two of the three players (and there are more sub-dimensions here: do you allow the players to freely communicate, and e.g. agree on tactics, or is all the information available to them the information they see on the board?

....

Another dimension is **memorizing a board**, and then playing the game without a board, for example **playing the PathGame while taking a walk, or over a phone**. (There are many aspects to this; and this a field of research of its own, e.g. search for information about playing poker over the phone.) I think one cannot conveniently play 'Set' over a phone. I recommend the 22-vertex graph given below, which is a win for 'g', for memorization: it is neither trivially small, nor difficult to memorize, especially with the symmetries and the labelling-rationale that I present below. A worked example for such a phone-play on the 22-vertex graph given below, relative to the labelling given below, would be the 'dialogue', in which 'g' plays according to the maximum matching shown in red in the version which uses Babylonian degrees, and in which the choice of the 'non-matched' vertex ${\huge\text{$\frac{\color{green}3}{\color{green}4}$}\pi}\ \text{$\frac{\color{green}4}{\color{green}5}$}\pi$ in the beginning is an arbitrary choice among the vertices left non-matched by the red matching.

$\Huge``\quad$ ${\Huge\text{$\frac{\color{green}3}{\color{green}4}$}\pi}\ \text{$\frac{\color{green}4}{\color{green}5}$}\pi$ $\Huge,\quad$ $\large\mathrm{{\color{blue}s}}$-$\large\mathrm{{\color{blue}p}}$ $\Huge,\quad$ ${\Huge\text{$\frac{\color{green}1}{\color{green}4}$}\pi}\ \text{$\frac{\color{green}6}{\color{green}5}$}\pi$ $\Huge,\quad$ ${\Huge\text{$\frac{\color{blue}1}{\color{blue}4}$}\pi}\ \text{$\frac{\color{blue}8}{\color{blue}5}$}\pi$ $\Huge,\quad$ ${\Huge\text{$\frac{\color{green}1}{\color{green}4}$}\pi}\ \text{$\frac{\color{green}4}{\color{green}5}$}\pi$ $\Huge,\quad$ $\large\mathrm{{\color{blue}n}}$-$\large\mathrm{{\color{blue}p}}$ $\Huge,\quad$ ${\Huge\text{$\frac{\color{green}5}{\color{green}4}$}\pi}\ \text{$\frac{\color{green}6}{\color{green}5}$}\pi$ $\Huge,\quad$ ${\Huge\text{$\frac{\color{blue}5}{\color{blue}4}$}\pi}\ \text{$\frac{\color{blue}2}{\color{blue}5}$}\pi$ $\Huge,\quad$ ${\Huge\text{$\frac{\color{green}5}{\color{green}4}$}\pi}\ \text{$\frac{\color{green}4}{\color{green}5}$}\pi$ $\Huge,\quad$ ${\Huge\text{$\frac{\color{blue}5}{\color{blue}4}$}\pi}\ \text{$\frac{\color{blue}8}{\color{blue}5}$}\pi$ $\Huge,\quad$ ${\Huge\text{$\frac{\color{green}5}{\color{green}4}$}\pi}\ \text{$\frac{\color{green}0}{\color{green}5}$}\pi$ $\Huge"\quad$, at the end of which 'b' knows he has lost.

You can experiment with rules like 'your child is allowed to *design the playing field*, yet you are then allowed to choose who plays first. Or vice versa (you design, your child chooses who plays first). Or even: your child decides who decides what, and from then on, everything must follow the logical rules. And then there is a complexity dimension. Even assuming you understand the whole game better than your child, and (say) you play the child-creates-the-board(=graph),you-decide-who-moves-first version, *you will have to compute whether the graph your child drew for you has a 1-factor or not*, and this is, while well understood, not easy to do, especially mentally. And you can learn much about algorithms for finding 1-factors while still playing with your child. This game is simple, variable and inexhaustible.

Ending on a utopian note, one can imagine that you play variations of this game with your daughter all your life, possibly over the phone if the two of you agree upon a 'memorized' board (e.g. the 22-vertex board I gave above; remember, it's a 'win' for 'g'). And she might try 'solving' some $>2$-player variants.
If she is older, or maybe even now, another dimension could be that she teaches a machine to play this game, or she programs a machine to do the 'compute a maximum matching' calculation, or even (assuming technology advances further) that she programs a robot with a camera to do these calculations after 'sight-reading' (so to speak: the point being that the robot is not allowed to have the board-plus-strategy *stored* into it, just like a sight-reading musician does not have the score stored in their memory) the board(=graph).

## Ready-to-play boards for the PathGame.

Here I give some explicit 'boards'='graphs', roughly in order of increasing difficulty of playing on them. Some come complete with maximum matchings included. Some don't have a matching shown.

The small boards are not labelled. For the large boards, I use a consistent principle for labeling the vertices. The principle is self-explanatory and can also serve to discuss *angles*. **Decoding the rationale for the labelling could be another (trivial) educational aspect of all of this.** There is one small variation: sometimes I used 'Babylonian' notation, sometimes I use 'fractions of $\pi$'.

The 22-vertex graph given last is not planar, since it contains (many $K^5$-minors, yet it can 'almost' and rather apparently-rather-naturally be *immersed* (not: embedded) into the 2-sphere, with **four crossings only**. Just take the 'north-pole' and 'south-pole' notation below as a hint for how to visualize that. It might make for a nice game to have this graph actually realized on a washable spherical surface.
(Incidentally, I don't know whether $4$ is its *crossing number*, yet I conjecture it is.)

There is another dimension:

Realise the 22-vertex graph with four-crossings on the surface of a 2-sphere. Perhaps it will be a better use of the internet to ask someone who is adept in 3D-printing to do this.

(Incidentally, I don't know whether the *crossing number* of this 22-vertex graph is 4. This is relevant to the OP since a good 'realization' of this game, not overly confusing for children, should be drawn as simply as possible.)

On *washable displays*, it is possible to play PathGame${}_{t\mapsto 1}$(the graph represented by the respective picture) with two **non-permanent** markers, one green, the other blue. **Please don't try this if you are in doubt about at least one of the following: (0) the washability of your display (many aren't really washable, or at any rate not made for being wiped often) (1) the 'aggressiveness' of the marker-ink you are using. Printing, or playing by means of some graphics software, seems safe.**

# 'b' to move second and win:

# 'b' to move second and effortlessly-win:

# 'g' to move first and win:

**Notes on this graph.** This is, in a sense, a^{7} **smallest cubic graph on which 'g' can force a win**; see my comment to this MO question.
Note however, that if 'g' **wants** to lose, 'g' **can force a loss of 'g'**, and 'b' cannot make 'g' win then. ^{5}

# 'b' to move second and win:

# 'b' to move second and effortlessly-win:

The above two boards illustrate one of the may aspects of the PathGame: this is graph which is easily shown to have even a *perfect* matching, but when playing on a plain, unmarked board, it is not easy for 'b' to actually *choose* *one* fixed matching, and *keep it in mind* to let their moves be guided by it.

# 'g' to move first and win:

**Notes on this graph.** In a sense, this is the smallest board=graph in which every vertex has four neighbors and in which 'g' has a winning strategy. Recall that for 'g' to have a winning strategy, it is necessary and sufficient that there does not exist a 1-factor. By the ($r=4$)-instance of Corollary 2a in Gary Chartrand, Donald L. Goldsmith, Seymour Schuster: A sufficient condition for graphs with 1-factors. Colloquium Mathematicum. Volume XLI, Fascicle 2, 1979., every 4-regular, edge-2-connected graph $G=(V,E)$ with $\lvert V\rvert$ even and $\lvert V\rvert < 4^2+2\cdot 4-2 = 22$ has a 1-factor. The contrapositive of this implies that if
you need a 4-regular edge-2-connected graph without a 1-factor, then you'll have to use 22 vertices or more. Please note: op. cit. does not seem to prove that the above graph is up to isomorphism the only *4-regular edge-2-connected 22-vertex graph without a 1-factor. It might be another possible project related to PathGame to extend the results of op. cit. in the direction of proving the (non-)uniqueness of the relevant extrema.

# 'g' to move first and effortlessly-win:

**Notes on this illustration.** The red edges indicate a maximum matching $M$. Proof: the set $\{\text{n-p},\text{s-p}\}$ is a 'bad set' in the sense of Tutte's good characterization of the class of graphs with perfect matchings, since it has 2 elements, yet deleting it and all incident edges from the graph leaves 4 odd components. Thus, $G$ does not have a 1-factor. Hence each matching in $G$ has at most $\frac12\lvert G\rvert - 1 = 10$ edges. The ten red edges achieve that upper bound. This proves that $M$ is maximum.

Furthermore, the 'effortless'(=computable in one step from the given board) winning strategy for 'g' is to choose one of the two **unmatched** vertices, and henceforth *always let the 'response-move' to 'b' 's move be the unique other end of the relevant matching edge; if there would ever come a step at which no such response move would be available, then this would imply the existence of an *augmenting path*, which is however impossible because of the matching being maximum. Therefore, 'g' will *always* have another move-along-an-*M*-edge. Since the graph is *finite*, there must come a time when b does *not* have another legal move.

# Footnotes

^{1} An introduction to the research literature is e.g. Aviezri S. Fraenkel: *Combinatorial Games: Selected Bibliography with a
Succinct Gourmet Introduction*. The Electronic Journal of Combinatorics (2009), #DS2

^{2} I think the easiest version is PathGame${}_{t\mapsto t}$. The 'preprocessing' then amounts to 'mere' counting, which may be challenging enough at age five. Note that for any $h\in\omega^\omega$ with $\forall t\quad t\leq h(t)$, PathGame${}_{t\mapsto t}$ is 'extensionally the same' as PathGame${}_{h}$.

^{3} This seems the most intuitive convention; it is evidently similar to 'stalemate' or 'being checkmated'; it is very dissimilar to 'having less cards'.

^{4} James Propp: *Three-player impartial games*. Theoretical Computer Science. Volume 233, Issues 1–2, 2000, Pages 263-278

^{5} Someone who has seriously worked on three-player combinatorial games seems to be Katie Doles.

^{6} How can 'g', as always moving first, nevertheless force its own loss, even against a 'helpful' (or more clearly put: against *any* strategy of 'b') player 'b'?

^{7} Again, it seems not to be known whether this is the *only isomorphism* type of 22-vertex 4-regular edge-2-connected graphs without a 1-factor.

6

Some answers @MathEduc StackExcange might help: Fun games for children.

– Joseph O'Rourke – 2017-09-18T22:36:31.8833

Not quite mathematics, but a close friend of mine has his kids (5 years and younger) play these programming puzzles. Very easy to understand, but definitely challenging for adults as well.

– R. van Dobben de Bruyn – 2017-09-18T23:09:03.9904

A colleague of mine used to play Hi-Ho Cherry-O with his child. The game is incredibly tedious for adults since there is no strategy whatsoever, but it is a nice example of a Markov chain and we did some calculations to find the expected length of the game (i.e. "How much longer will this boredom last?") and the advantage of playing first. Not sure if that counts...

– Nate Eldredge – 2017-09-19T05:05:50.3471I advice to not train too much stuff that is also done in elementary school because otherwise the child might get bored a lot there. So nothing with basic arithmetic operations or simple geometrical shapes. Do the stuff, they don't do there (actually a pity that it's not done) in a playful way: logic, minimax strategies, graphs. – Trilarion – 2017-09-19T12:41:45.877

1The answers here are pretty creative! I want to play some even though my kids are teenagers now. When they were smaller though, I taught them blackjack. Basic math and logical reasoning. – atheaos – 2017-09-19T22:58:54.203

My favourite math game to play with young children is "let's take turns naming numbers each bigger than the last; whoever says the biggest one wins!" (Of course, eventually you have to let them win otherwise the game can last a very long time indeed.) – Eric Lippert – 2017-09-21T00:24:26.327

Is Rubix Cube an option? – user170039 – 2017-09-22T14:22:36.380

not a game, but, kids would probably have a lot of fun with this group theory coloring book! http://www.coloring-book.co/

– Trent – 2017-10-02T05:05:23.330I intended to answer your question here, but I accidentally answered it at one of the similar questions you mentioned. It's here https://mathoverflow.net/q/282812

– propaganda – 2017-10-06T01:39:27.180